Package: systemd
Version: 247.3-6
Severity: normal
X-Debbugs-Cc: iw-deb...@linuxhotel.de

Dear Maintainer,

on a notebook running Debian 11 (tested with Ubuntu 20.04, too) with gnome
desktop I added my user to a new group:

  sudo groupadd docker
  sudo gpasswd -a nutzer36 docker

after that, I logged out and then on again. I expected that when I check with 
the id command, that my user would now belong to that group. But that's not the 
case.

I found out, that there are some processes left over from my last login:

  pgrep -lau nutzer36 | head
723 /lib/systemd/systemd --user
724 (sd-pam)
758 /usr/bin/pipewire
759 /usr/bin/pulseaudio --daemonize=no --log-target=journal
792 /usr/bin/pipewire-media-session
871 ssh-agent -D -a /run/user/1000/openssh_agent

all the current processes of my new desktop session are child
processes of that old systemd --user session

If I log out and terminate systemd --user, the session is closed and
after login I'm member of the group as expected.

login out using loginctl kill-session did not help


-- Package-specific info:

-- System Information:
Debian Release: 11.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 5.10.0-11-amd64 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_WARN
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages systemd depends on:
ii  adduser                          3.118
ii  libacl1                          2.2.53-10
ii  libapparmor1                     2.13.6-10
ii  libaudit1                        1:3.0-2
ii  libblkid1                        2.36.1-8+deb11u1
ii  libc6                            2.31-13+deb11u2
ii  libcap2                          1:2.44-1
ii  libcrypt1                        1:4.4.18-4
ii  libcryptsetup12                  2:2.3.7-1+deb11u1
ii  libgcrypt20                      1.8.7-6
ii  libgnutls30                      3.7.1-5
ii  libgpg-error0                    1.38-2
ii  libip4tc2                        1.8.7-1
ii  libkmod2                         28-1
ii  liblz4-1                         1.9.3-2
ii  liblzma5                         5.2.5-2
ii  libmount1                        2.36.1-8+deb11u1
ii  libpam0g                         1.4.0-9+deb11u1
ii  libseccomp2                      2.5.1-1+deb11u1
ii  libselinux1                      3.1-3
ii  libsystemd0                      247.3-6
ii  libzstd1                         1.4.8+dfsg-2.1
ii  mount                            2.36.1-8+deb11u1
ii  systemd-timesyncd [time-daemon]  247.3-6
ii  util-linux                       2.36.1-8+deb11u1

Versions of packages systemd recommends:
ii  dbus  1.12.20-2

Versions of packages systemd suggests:
ii  policykit-1        0.105-31+deb11u1
pn  systemd-container  <none>

Versions of packages systemd is related to:
pn  dracut           <none>
ii  initramfs-tools  0.140
ii  libnss-systemd   247.3-6
ii  libpam-systemd   247.3-6
ii  udev             247.3-6

-- no debconf information

Reply via email to